package com.miraclegarden.smsmessage;

/**
 * **********************
 *
 * @Author bug machine
 * 创建时间： 2026/3/20 15:30
 * 用途
 * **********************
 */
import android.graphics.drawable.Drawable;

public class AppInfo {
    private String appName;    // 应用名
    private String packageName;// 包名
    private Drawable icon;     // 图标
    private String name;
    private String code;
    private String remark;
    private String bankInfoId;  // 关联的银行账户ID

    public AppInfo() {
    }

    public AppInfo(String appName, String packageName, Drawable icon) {
        this.appName = appName;
        this.packageName = packageName;
        this.icon = icon;
    }

    public String getAppName() { return appName; }
    public String getPackageName() { return packageName; }
    public Drawable getIcon() { return icon; }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getBankInfoId() {
        return bankInfoId;
    }

    public void setBankInfoId(String bankInfoId) {
        this.bankInfoId = bankInfoId;
    }
}